Bug 483509 - [PATCH] Unhandled exception with partial VG
[PATCH] Unhandled exception with partial VG
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks: AnacondaStorage
  Show dependency treegraph
 
Reported: 2009-02-01 19:16 EST by Lubomir Rintel
Modified: 2009-04-08 08:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-08 08:29:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix crash with incomplete VGs (2.06 KB, text/plain)
2009-02-01 19:16 EST, Lubomir Rintel
no flags Details

  None (edit)
Description Lubomir Rintel 2009-02-01 19:16:19 EST
Created attachment 330566 [details]
Fix crash with incomplete VGs

Description of problem:

I plugged in a disk which happened to be part of a LVM volume group and ran anaconda. When setting up LVM, it would not let me use the name of the old VG and crashed after I finished partitioning.

Version-Release number of selected component (if applicable):

Today's rawhide.

How reproducible:

With partial VGs present.

Steps to Reproduce:
1. Setup LVM across two disks
2. Erase one of the disks
3. Run anaconda

Actual results:

1.) Can't choose the name of VG equal to the old VG name.
2.) Unhandled exception after partitioning is done:

anaconda 11.5.0.12 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/lvm.py", line 282, in vgremove
    raise VGRemoveError, vgname
  File "/usr/lib/anaconda/partitions.py", line 1787, in doMetaDeletes
    lvm.vgremove(delete.name)
  File "/usr/lib/anaconda/packages.py", line 136, in turnOnFilesystems
    anaconda.id.partitions.doMetaDeletes(anaconda.id.diskset)
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1358, in nextClicked
    self.anaconda.dispatch.gotoNext()
VGRemoveError: vgremove of vg "VolGroup00" failed
Log:
   Using volume group(s) on command line
   Finding volume group "VolGroup00"
   Wiping cache of LVM-capable devices
   Couldn't find device with uuid 'LGr24v-fkhw-00GZ-kdYc-2rfn-x8mC-Caw9Lm'.
   There are 1 physical volumes missing.
   Volume group "VolGroup00" not found, is inconsistent or has PVs missing.
   Consider vgreduce --removemissing if metadata is inconsistent.

Local variables in innermost frame:
pvs: ['/dev/sda2', 'unknown device']
args: ['vgremove', '-v', 'VolGroup00']
pv: ('unknown device', 'VolGroup00', 0L)
vgname: VolGroup00
rc: 5

Expected results:

Disk partitioned properly.

Additional info:

Attached patch. Tested.
Comment 1 Lubomir Rintel 2009-02-11 02:51:57 EST
Ping?
Comment 2 Joel Andres Granados 2009-04-08 08:29:51 EDT
This is already addressed in current rawhide.

Note You need to log in before you can comment on or make changes to this bug.